#include <stdio.h>
#include <stdlib.h>
#include "Arvore23.h"

NODE_23_T *Arvore23AlocaNo (void)
{
	NODE_23_T *no;
	no = (NODE_23_T *) malloc (sizeof (NODE_23_T));
	if (no == NULL) {
		fprintf (stderr, "Falta de memoria.\n");
		exit (1);
	}
	no->v[0] = no->v[1] = NULL;
	no->f[0] = no->f[1] = no->f[2] = NULL;
	return no;
}

void Arvore23LiberaNo (NODE_23_T *tree)
{
	if (tree == NULL) return;
	free (tree);
}
