#include <stdio.h>
#include "Arvore23.h"

int Arvore23Altura (ARVORE_23_T tree23)
{
	int h;
	NODE_23_T *no;
	if (tree23 == NULL || tree23->tree == NULL) return -1;
	no = tree23->tree;
	h = 0;
	while (no->f[0] != NULL) {
		h++;
		no = no->f[0];
	}
	return h;
}

unsigned long Arvore23Tamanho (ARVORE_23_T tree23)
{
	if (tree23 == NULL) return 0;
	return tree23->n;
}


