#include <stdlib.h>
#include "Arvore23.h"

extern void Arvore23LiberaNo (NODE_23_T *tree);

void Arvore23LiberaMemoria (NODE_23_T *tree)
{
	if (tree == NULL) return;
	Arvore23LiberaMemoria (tree->f[0]);
	Arvore23LiberaMemoria (tree->f[1]);
	Arvore23LiberaMemoria (tree->f[2]);
	Arvore23LiberaNo (tree);
}

void Arvore23Destroi (ARVORE_23_T tree23)
{
	if (tree23 == NULL) return;
	Arvore23LiberaMemoria (tree23->tree);
	free (tree23);
}

/* Apaga todos os elementos mas mantm a rvore */
void Arvore23Apagar (ARVORE_23_T tree23)
{
	if (tree23 == NULL) return;
	Arvore23LiberaMemoria (tree23->tree);
	tree23->n = 0;
	tree23->tree = NULL;
}
