#include <stdio.h>
#include "Arvore23.h"

void Arvore23GeraListaRec (NODE_23_T *tree, const void *lista[], long *pt)
{
	if (tree == NULL || lista == NULL || pt == NULL) return;
	Arvore23GeraListaRec (tree->f[0], lista, pt);
	lista[*pt] = tree->v[0];
	(*pt)++;
	Arvore23GeraListaRec (tree->f[1], lista, pt);
	if (tree->v[1] == NULL) return;
	lista[*pt] = tree->v[1];
	(*pt)++;
	Arvore23GeraListaRec (tree->f[2], lista, pt);
}

/*
Devolve a quantidade de elementos, e os elementos em lista[], que
deve ter espao suficiente.

-1 em caso de erro.
 */
long Arvore23GeraLista (ARVORE_23_T tree23, const void *lista[])
{
	long pt;
	if (tree23 == NULL || lista == NULL) return -1;
	pt = 0;
	Arvore23GeraListaRec (tree23->tree, lista, &pt);
	return pt;
}
