#include <stdio.h>
#include "Arvore23.h"

const void *Arvore23RecuperaProximo (ARVORE_23_T tree23, const void *el)
{
	const void *proximo;
	int (*cmp)(const void *, const void *);
	int comp;
	NODE_23_T *no;
	if (tree23 == NULL || el == NULL) return NULL;
	no = tree23->tree;
	cmp = tree23->cmp;
	proximo = NULL;
	while (no != NULL) {
		comp = cmp (el, no->v[0]);
		if (comp < 0) {proximo = no->v[0]; no = no->f[0]; continue;}
		if (no->v[1] == NULL) {no = no->f[1]; continue;}
		comp = cmp (el, no->v[1]);
		if (comp < 0) {proximo = no->v[1]; no = no->f[1]; continue;}
		no = no->f[2];
	}
	return proximo;
}
