#include <stdio.h>
#include "Arvore23.h"

const void *Arvore23RecuperaAnterior (ARVORE_23_T tree23, const void *el)
{
	const void *anterior;
	int (*cmp)(const void *, const void *);
	int comp;
	NODE_23_T *no;
	if (tree23 == NULL || el == NULL) return NULL;
	no = tree23->tree;
	cmp = tree23->cmp;
	anterior = NULL;
	while (no != NULL) {
		comp = cmp (el, no->v[0]);
		if (comp <= 0) {no = no->f[0]; continue;}
		if (no->v[1] == NULL) {anterior = no->v[0]; no = no->f[1]; continue;}
		comp = cmp (el, no->v[1]);
		if (comp <= 0) {anterior = no->v[0]; no = no->f[1]; continue;}
		anterior = no->v[1];
		no = no->f[2];
	}
	return anterior;
}
